Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1144662 - Review Request: nodejs-nsp-api - Node.js module for NSP API
Summary: Review Request: nodejs-nsp-api - Node.js module for NSP API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mosaab Alzoubi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1144666
TreeView+ depends on / blocked
 
Reported: 2014-09-20 07:13 UTC by Parag Nemade
Modified: 2014-11-30 19:18 UTC (History)
2 users (show)

Fixed In Version: nodejs-nsp-api-1.0.0-2.2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 16:54:49 UTC
moceap: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-09-20 07:13:45 UTC
Spec URL: https://paragn.fedorapeople.org/fedora-work/SPECS/nodejs-nsp-api.spec
SRPM URL: https://paragn.fedorapeople.org/fedora-work/SRPMS/nodejs-nsp-api-1.0.0-1.fc21.src.rpm
Description: Node.js module wrapper for the Node Security Project AP
 
Fedora Account System Username: pnemade

Comment 2 Mosaab Alzoubi 2014-10-23 21:24:26 UTC
- I think that's better to make short summaries and enough information in description (They're NOT same)
- Refer to (#nothing to build)

====

Otherwise Everything OK!

Comment 3 Parag Nemade 2014-10-24 01:23:44 UTC
Will you please suggest me how should I write description? I think there is nothing wrong in having both summary and description as same text. I think many packages are following this already.

Comment 4 Mosaab Alzoubi 2014-10-24 09:58:57 UTC
Something like (Node.js module for NSP)

Comment 6 Mosaab Alzoubi 2014-10-24 10:49:22 UTC
??

nodejs-nsp-api.noarch: W: dangling-symlink /usr/lib/node_modules/nsp-api/node_modules/request /usr/lib/node_modules/request
The target of the symbolic link does not exist within this package or its file
based dependencies.  Verify spelling of the link target and that the target is
included in a package in this package's dependency chain.

Comment 7 Parag Nemade 2014-10-24 12:03:08 UTC
That is what you will find with almost all nodejs packages in Fedora which adds extra BR: in addition to BR:node-packaging. 

See https://fedoraproject.org/wiki/Packaging:Node.js#Symlinking_Dependencies for more information. 

Also see some other nodejs module package reviews where such rpmlint messages was allowed. See bug 1071668 and bug 981807.

Comment 8 Mosaab Alzoubi 2014-10-24 12:09:56 UTC
* Rpmlint: Ignored warnings.
* License: MIT
* Binaries: None
* Spec: Clean
* Content: Clean
* %check test: Pass
* Node.js package: Noarch
* Node.js packaging guideline: checked
* CHECKSUM(MD5) this package: 6329ee5b20d71e751e1dd81aaf55b21d
 CHECKSUM(MD5) upstream package: 6329ee5b20d71e751e1dd81aaf55b21d
========

APPROVED

Comment 9 Parag Nemade 2014-10-24 12:14:42 UTC
New Package SCM Request
=======================
Package Name: nodejs-nsp-api
Short Description:  Node.js module for NSP API
Upstream URL:  https://github.com/nodesecurity/nsp-api
Owners: pnemade
Branches: f20 f21 epel7

Comment 10 Gwyn Ciesla 2014-10-24 13:39:33 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-10-24 16:05:24 UTC
nodejs-nsp-api-1.0.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-nsp-api-1.0.0-2.fc21

Comment 12 Fedora Update System 2014-10-24 16:13:22 UTC
nodejs-nsp-api-1.0.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-nsp-api-1.0.0-2.fc20

Comment 13 Fedora Update System 2014-10-24 16:19:04 UTC
nodejs-nsp-api-1.0.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-nsp-api-1.0.0-2.el7

Comment 14 Fedora Update System 2014-10-27 08:16:24 UTC
nodejs-nsp-api-1.0.0-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 15 Parag Nemade 2014-10-29 15:53:19 UTC
Package Change Request
======================
Package Name: nodejs-nsp-api
New Branches: f19 el6
Owners: pnemade

Comment 16 Gwyn Ciesla 2014-10-29 16:17:10 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2014-10-29 16:52:10 UTC
nodejs-nsp-api-1.0.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-nsp-api-1.0.0-2.fc19

Comment 18 Fedora Update System 2014-10-30 00:20:46 UTC
nodejs-nsp-api-1.0.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-nsp-api-1.0.0-2.el6

Comment 19 Fedora Update System 2014-10-30 16:37:51 UTC
nodejs-nsp-api-1.0.0-2.1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-nsp-api-1.0.0-2.1.el6

Comment 20 Fedora Update System 2014-11-01 16:54:49 UTC
nodejs-nsp-api-1.0.0-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 21 Fedora Update System 2014-11-07 02:29:28 UTC
nodejs-nsp-api-1.0.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 22 Fedora Update System 2014-11-10 06:32:51 UTC
nodejs-nsp-api-1.0.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 23 Fedora Update System 2014-11-12 15:45:13 UTC
nodejs-nsp-api-1.0.0-2.2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-nsp-api-1.0.0-2.2.el6

Comment 24 Fedora Update System 2014-11-12 23:13:55 UTC
nodejs-nsp-api-1.0.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 25 Fedora Update System 2014-11-30 19:18:42 UTC
nodejs-nsp-api-1.0.0-2.2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.